/* why is this needed? 
* {x:y;}
*/
/* Default CSS for XForms */


@namespace xforms url(http://www.w3.org/2002/xforms);
xforms|repeat,xforms|switch,xforms|case { display: block;}
xforms|group, xform|group xforms|label{ display: block; }

/* inline is default in CSS, so basically we should not have to declare them inline here : */
/*xforms|label,xforms|*::value,xforms|* {display:block;}
*/
xforms|input::value,xforms|textarea::value,xforms|secret::value {background-color:white;}
xforms|submit > label,xforms|upload > label,xforms|trigger > label,xforms|select1 xforms|item, xforms|select xforms|item {display:none !important;}
/* this is for the relevant=false() case */
xforms|*:disabled {display:none ! important;}
xforms|range:out-of-range,xforms|select1:out-of-range,xforms|select:out-of-range {border-style:solid;border-color:red;border-width:1px;}
xforms|setvalue,xforms|action,xforms|help,xforms|alert {display:none;}
xforms|*:invalid::value{background-color: #ff9999 ! important;}

xforms|case:xsmiles-inactive-case {display:none ! important;}
xforms|tree::value {background-color:white;}

xforms|action, xforms|hint {display:none ! important;}
/* currently it's either repeat index or repeat item */
*::repeat-index {background-color:red;border-style:solid;border-width:1px;border-color:#5555ff;display:block;}
*::repeat-item {border-style:solid;border-width:1px;border-color:transparent;display:block;}
/* one could set the background-color of the controls in the following way;
*::repeat-index xforms|*::value {background-color:#aaaaff!important;}
*/

/* not used anymore 
xforms|message:xsm-messageon,xforms|*:invalid xforms|alert:xsm-messageon {
	display:block!important;
	xsm-container: window;
	}
	*/
/* a kludge to make action visible if there is a visible message inside 
:xsm-messageparenton {display:inherit!important;}
	*/
	/*
xforms|message[level=ephemeral],xforms|message {
	xsm-containertype: ephemeral!important;
	}
xforms|message[level=modal] {
	xsm-containertype: modal!important;
	}
*/
xforms|message {display: none;margin:2px;}
/* now non-text mediatypes are also rendered inside value
xforms|output:xsmiles-mediarendering::value {display:none!important;}   
*/
xforms|input::value {border-color: #7F9DB9; border-style:solid;border-width:1px;}

